<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="ALL" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="2037df1b-9ccc-4caa-9145-2d6722712612" name="更改" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/admincenter/internal/admin/api.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/admincenter/internal/admin/api.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/common/httpServer/apiHandler.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/common/httpServer/apiHandler.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/common/httpServer/reflect.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/common/httpServer/reflect.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/common/httpServer/serverMux.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/common/httpServer/serverMux.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/common/rabbitmq/config.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/common/rabbitmq/config.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/common/webServer/responseObject.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/common/webServer/responseObject.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/dbcenter/main.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/dbcenter/main.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/paycenter/internal/pay/api.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/paycenter/internal/pay/api.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/center/paycenter/main.go" beforeDir="false" afterPath="$PROJECT_DIR$/center/paycenter/main.go" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Dockerfile" />
        <option value="Go File" />
      </list>
    </option>
  </component>
  <component name="GOROOT" url="file://$USER_HOME$/go/pkg/mod/golang.org/toolchain@v0.0.1-go1.23.4.windows-amd64" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$USER_HOME$/go/pkg/mod/github.com/go-pay/gopay@v1.5.108/alipay/v3/constant.go" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/go/pkg/mod/golang.org/toolchain@v0.0.1-go1.23.4.windows-amd64/src/log/log.go" root0="SKIP_INSPECTION" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 3
}</component>
  <component name="ProjectId" id="2qn73uMaWLMYCjjMpyatMYepw4t" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "DefaultGoTemplateProperty": "Go File",
    "Docker.admincenter.redis: Compose 部署.executor": "Run",
    "Docker.admincenter/Dockerfile.executor": "Run",
    "Docker.center/admincenter/Dockerfile builder.executor": "Run",
    "Go 构建.go build admincenter.executor": "Run",
    "Go 构建.go build dbcenter.executor": "Run",
    "Go 构建.go build logincenter.executor": "Debug",
    "Go 构建.go build paycenter.executor": "Run",
    "Go 构建.go build usercenter.executor": "Run",
    "Go 测试.common/connection 中的 TestGetDBName.executor": "Run",
    "Go 测试.dbcenter 中的 Test000.executor": "Debug",
    "Go 测试.dbcenter 中的 Test001 (1).executor": "Debug",
    "Go 测试.dbcenter 中的 Test001.executor": "Run",
    "Go 测试.dbcenter 中的 Test002 (1).executor": "Run",
    "Go 测试.dbcenter 中的 Test002.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.git.unshallow": "true",
    "RunOnceActivity.go.formatter.settings.were.checked": "true",
    "RunOnceActivity.go.migrated.go.modules.settings": "true",
    "RunOnceActivity.go.modules.go.list.on.any.changes.was.set": "true",
    "git-widget-placeholder": "master",
    "go.import.settings.migrated": "true",
    "go.sdk.automatically.set": "true",
    "ignore.virus.scanning.warn.message": "true",
    "last_opened_file_path": "D:/workspace/e2023/goProject/trunk",
    "node.js.detected.package.eslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "run.configurations.included.in.services": "true",
    "settings.editor.selected.configurable": "preferences.pluginManager"
  },
  "keyToStringList": {
    "DatabaseDriversLRU": [
      "mysql_aurora"
    ]
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\workspace\e2023\goProject\trunk\center\paycenter\internal\cert" />
      <recent name="D:\workspace\e2023\goProject\trunk\center\usercenter\internal\wxuser2" />
      <recent name="D:\workspace\e2023\goProject\trunk\center\dbcenter\internal" />
      <recent name="D:\workspace\e2023\goProject\trunk\center\dbcenter" />
      <recent name="D:\workspace\e2023\goProject\trunk\game\common" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\workspace\e2023\goProject\trunk\center\paycenter\internal\alipay" />
      <recent name="D:\workspace\e2023\goProject\trunk\center\paycenter\internal\wxpay" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="GoApplicationRunConfiguration" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Go 构建.go build admincenter">
    <configuration name="go build admincenter" type="GoApplicationRunConfiguration" factoryName="Go Application" temporary="true" nameIsGenerated="true">
      <module name="trunk" />
      <working_directory value="$PROJECT_DIR$/center/admincenter" />
      <kind value="PACKAGE" />
      <package value="admincenter" />
      <directory value="$PROJECT_DIR$" />
      <filePath value="$PROJECT_DIR$/center/admincenter/main.go" />
      <method v="2" />
    </configuration>
    <configuration name="go build dbcenter" type="GoApplicationRunConfiguration" factoryName="Go Application" temporary="true" nameIsGenerated="true">
      <module name="trunk" />
      <working_directory value="$PROJECT_DIR$/center/dbcenter" />
      <kind value="PACKAGE" />
      <package value="dbcenter" />
      <directory value="$PROJECT_DIR$" />
      <filePath value="$PROJECT_DIR$/center/dbcenter/main.go" />
      <method v="2" />
    </configuration>
    <configuration name="go build paycenter" type="GoApplicationRunConfiguration" factoryName="Go Application" temporary="true" nameIsGenerated="true">
      <module name="trunk" />
      <working_directory value="$PROJECT_DIR$/center/paycenter" />
      <kind value="PACKAGE" />
      <package value="paycenter" />
      <directory value="$PROJECT_DIR$" />
      <filePath value="$PROJECT_DIR$/center/paycenter/main.go" />
      <method v="2" />
    </configuration>
    <configuration name="go build usercenter" type="GoApplicationRunConfiguration" factoryName="Go Application" temporary="true" nameIsGenerated="true">
      <module name="trunk" />
      <working_directory value="$PROJECT_DIR$/center/usercenter" />
      <kind value="PACKAGE" />
      <package value="usercenter" />
      <directory value="$PROJECT_DIR$" />
      <filePath value="$PROJECT_DIR$/center/usercenter/main.go" />
      <method v="2" />
    </configuration>
    <configuration default="true" type="docker-deploy" factoryName="docker-compose.yml" temporary="true">
      <deployment type="docker-compose.yml">
        <settings />
      </deployment>
      <method v="2" />
    </configuration>
    <configuration default="true" type="docker-deploy" factoryName="dockerfile" temporary="true">
      <deployment type="dockerfile">
        <settings />
      </deployment>
      <method v="2" />
    </configuration>
    <configuration name="admincenter/Dockerfile" type="docker-deploy" factoryName="dockerfile" temporary="true" server-name="Docker">
      <deployment type="dockerfile">
        <settings>
          <option name="sourceFilePath" value="center/admincenter/Dockerfile" />
        </settings>
      </deployment>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Go 构建.go build admincenter" />
        <item itemvalue="Go 构建.go build paycenter" />
        <item itemvalue="Go 构建.go build usercenter" />
        <item itemvalue="Go 构建.go build dbcenter" />
        <item itemvalue="Docker.admincenter/Dockerfile" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-gosdk-d297c17c1fbd-85c80fddc9a6-org.jetbrains.plugins.go.sharedIndexes.bundled-GO-243.23654.166" />
        <option value="bundled-js-predefined-d6986cc7102b-822845ee3bb5-JavaScript-GO-243.23654.166" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VgoProject">
    <settings-migrated>true</settings-migrated>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="DlvLineBreakpoint">
          <url>file://$USER_HOME$/go/pkg/mod/golang.org/toolchain@v0.0.1-go1.23.4.windows-amd64/src/context/context.go</url>
          <line>68</line>
          <option name="timeStamp" value="8" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>